| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Ogre::EmbeddedZipArchiveFactory Class Reference
Core » Resources

Specialisation of ZipArchiveFactory for embedded Zip files. More...

`#include <OgreZip.h>`

Inheritance diagram for Ogre::EmbeddedZipArchiveFactory:
[legend]

## Public Types
typedef bool(* | DecryptEmbeddedZipFileFunc) (size_t pos, void *buf, size_t len)
| a function type to decrypt embedded zip file More...

## Public Member Functions
| EmbeddedZipArchiveFactory ()
virtual | ~EmbeddedZipArchiveFactory ()
virtual Archive * | createInstance (const String &name)
| Creates a new object. More...
virtual Archive * | createInstance (const String &name, bool readOnly)=0
| Creates a new object. More...
virtual Archive * | createInstance (const String &name)
Archive * | createInstance (const String &name, bool readOnly)
| Creates a new object. More...
void | destroyInstance (Archive *ptr)
| Destroys an object which was created by this factory. More...
const String & | getType (void) const
| Returns the factory type. More...

## Static Public Member Functions
static void | addEmbbeddedFile (const String &name, const uint8 *fileData, size_t fileSize, DecryptEmbeddedZipFileFunc decryptFunc)
| Add an embedded file to the embedded file list. More...
static void | removeEmbbeddedFile (const String &name)
| Remove an embedded file to the embedded file list. More...

## Detailed Description

Specialisation of ZipArchiveFactory for embedded Zip files.

## Member Typedef Documentation

## ◆ DecryptEmbeddedZipFileFunc

typedef bool(* Ogre::EmbeddedZipArchiveFactory::DecryptEmbeddedZipFileFunc) (size_t pos, void *buf, size_t len)

a function type to decrypt embedded zip file

Parameters

  pos | pos in file
  buf | current buffer to decrypt
  len | - length of buffer

Returns
  success

## Constructor & Destructor Documentation

## ◆ EmbeddedZipArchiveFactory()

Ogre::EmbeddedZipArchiveFactory::EmbeddedZipArchiveFactory | ( |  | ) |

## ◆ ~EmbeddedZipArchiveFactory()

virtual Ogre::EmbeddedZipArchiveFactory::~EmbeddedZipArchiveFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getType()

const String& Ogre::EmbeddedZipArchiveFactory::getType | ( | void |  | ) | const
| virtual

Returns the factory type.

Returns
  The factory type.

Reimplemented from Ogre::ZipArchiveFactory.

## ◆ createInstance() [1/4]

Archive* Ogre::EmbeddedZipArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly
| ) |  |
| virtual

Creates a new object.

Parameters

  name | Name of the object to create
  readOnly | whether the Archive is read only

Returns
  An object created by the factory. The type of the object depends on the factory.

Reimplemented from Ogre::ZipArchiveFactory.

## ◆ addEmbbeddedFile()

static void Ogre::EmbeddedZipArchiveFactory::addEmbbeddedFile | ( | const String & | name,
|  | const uint8 * | fileData,
|  | size_t | fileSize,
|  | DecryptEmbeddedZipFileFunc | decryptFunc
| ) |  |
| static

Add an embedded file to the embedded file list.

## ◆ removeEmbbeddedFile()

static void Ogre::EmbeddedZipArchiveFactory::removeEmbbeddedFile | ( | const String & | name | ) |
| static

Remove an embedded file to the embedded file list.

## ◆ createInstance() [2/4]

virtual Archive* Ogre::ArchiveFactory::createInstance

Creates a new object.

Parameters

  name | Name of the object to create
  readOnly | whether the Archive is read only

Returns
  An object created by the factory. The type of the object depends on the factory.

## ◆ createInstance() [3/4]

virtual Archive* Ogre::ArchiveFactory::createInstance
| inline

## ◆ createInstance() [4/4]

virtual Archive* Ogre::ArchiveFactory::createInstance | ( | const String & | name | ) |
| inline virtual inherited

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< Archive >.

References Ogre::ArchiveFactory::createInstance().

Referenced by Ogre::ArchiveFactory::createInstance().

## ◆ destroyInstance()

void Ogre::ZipArchiveFactory::destroyInstance | ( | Archive * | ptr | ) |
| inline virtual inherited

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< Archive >.

References OGRE_DELETE.

The documentation for this class was generated from the following file:

- OgreZip.h